Page 2 of 2 FirstFirst 12
Results 11 to 19 of 19

Thread: android packaging error

  1. #11
    Sencha User
    Join Date
    Mar 2010
    Location
    Aarhus, Denmark
    Posts
    67

    Default

    A very wild guess is that your path is:

    C:/AppServ/fabi-release-key.keystore

    and the signing tool relies on the default way to write Windows paths:

    C:\AppServ\fabi-release-key.keystore (note you probably have to escape them)

    I have no other ideas at the moment, But it's worth a try.

    I'm personally using PhoneGap for making my app native, so you could consider trying that approach if my wild guess don't work. Otherwise you'll have to ask the Sencha people (or just sign it manually as the tool suggests).

  2. #12
    Sencha User
    Join Date
    Aug 2012
    Posts
    3

    Default First time packaging and same error encountered

    Hi!
    I have the same problem that it gives error:"Could not run ant with error : 1
    Failed to Package Application"
    Can anyone Explain me step by step , How to resolve this error .
    Here is the Screen Shothello.jpg

  3. #13
    Sencha Premium Member
    Join Date
    Sep 2008
    Location
    North Italy
    Posts
    114

    Default

    I have a similar problem too:
    PHP Code:
    [ERRORErrorCommand failedjava.lang.UnsupportedClassVersionErrorcom/google/javascript/jscomp/CommandLineRunner (Unsupported major.minor version
     50.0
    )
            
    at java.lang.ClassLoader.defineClass0(Native Method)
            
    at java.lang.ClassLoader.defineClass(Unknown Source)
            
    at java.security.SecureClassLoader.defineClass(Unknown Source)
            
    at java.net.URLClassLoader.defineClass(Unknown Source)
            
    at java.net.URLClassLoader.access$100(Unknown Source)
            
    at java.net.URLClassLoader$1.run(Unknown Source)
            
    at java.security.AccessController.doPrivileged(Native Method)
            
    at java.net.URLClassLoader.findClass(Unknown Source)
            
    at java.lang.ClassLoader.loadClass(Unknown Source)
            
    at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
            
    at java.lang.ClassLoader.loadClass(Unknown Source)
            
    at java.lang.ClassLoader.loadClassInternal(Unknown Source)
    Exception in thread "main"
    [ERRORjava.lang.UnsupportedClassVersionErrorcom/google/javascript/jscomp/CommandLineRunner (Unsupported major.minor version 50.0)
            
    at java.lang.ClassLoader.defineClass0(Native Method)
            
    at java.lang.ClassLoader.defineClass(Unknown Source)
            
    at java.security.SecureClassLoader.defineClass(Unknown Source)
            
    at java.net.URLClassLoader.defineClass(Unknown Source)
            
    at java.net.URLClassLoader.access$100(Unknown Source)
            
    at java.net.URLClassLoader$1.run(Unknown Source)
            
    at java.security.AccessController.doPrivileged(Native Method)
            
    at java.net.URLClassLoader.findClass(Unknown Source)
            
    at java.lang.ClassLoader.loadClass(Unknown Source)
            
    at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
            
    at java.lang.ClassLoader.loadClass(Unknown Source)
            
    at java.lang.ClassLoader.loadClassInternal(Unknown Source)
    Exception in thread "main" 
    Java version:
    Code:
    java version "1.3.1_01"
    Java(TM) 2 Runtime Environment, Standard Edition (build 1.3.1_01)
    Java HotSpot(TM) Client VM (build 1.3.1_01, mixed mode)
    Last edited by seek; 5 Sep 2012 at 12:15 AM. Reason: java version added

  4. #14

    Default

    I have same error:

    PHP Code:
    -release-nosign:
         [echo] 
    No key.store and key.alias properties found in build.properties
    with :
    PHP Code:
    -release-sign:
    -
    post-build:
    release:
    BUILD SUCCESSFULTotal time12 seconds
    Please type jarsigner 
    -help for usage
    Could not sign application with error
    1Failed to package application[ERROROnly one alias can be specified 
    Sencha touch 2.1.0 b2
    JAVA_HOME: C:\Program Files\Java\jdk1.7.0_05
    Stbuild with Sencha SDK 2.0.0 b3

  5. #15
    Sencha User
    Join Date
    Feb 2012
    Location
    Tianjin.China
    Posts
    1

    Default

    ??????????????????
    I have the problem too,anyone who can solve?

  6. #16
    Sencha Premium User
    Join Date
    Mar 2007
    Location
    Melbourne, Australia (aka GMT+10)
    Posts
    1,255

    Default

    have you got the latest build of Sencha Command (sdktools?)

  7. #17
    Sencha User
    Join Date
    May 2011
    Posts
    2

    Default How I finally got sencha to compile into android apk

    It took me 10 hours to get this thing to compile properly. I finally got sencha touch to compile on Windows 7.
    1. Install Android 2.1 into my machine. Resetting "androidAPILevel" does nothing. It always revert back to "7", and Android 2.1 handles that. (First error fix)
    2. Make sure you install JDK, not just JRE. Right now, I'm on JDK 1.7. I uninstalled JRE, and than installed the JDK and this helped. (Second eror fix)
    3. I'm not sure if this will help, but I also uninstalled the Sencha Touch SDKTool, and reinstalled it after the JDK was installed.
    4. After that, I moved all the folders, so there was no space on any of the path. (Third error fix)
    5. Also I used "/" instead of "\".

    {
    "applicationName":"auralsex",
    "applicationId":"com.ecomlive.auralsex",
    "versionString":"1.0",
    "iconName":"icon.png",
    "inputPath":"../../",
    "outputPath":"c:/wamp/android-app",
    "configuration":"Release",
    "platform":"Android",
    "deviceType":"Universal",
    "certificatePath":"c:/wamp/www/js/sencha-touch-2.0.0/debug_aural.keystore",
    "certificateAlias":"debug_aural",
    "certificatePassword":"XXX",
    "sdkPath":"c:/android/android-sdk",
    "androidAPILevel":"8",
    "orientations": [
    "portrait",
    "landscapeLeft",
    "landscapeRight",
    "portraitUpsideDown"
    ]
    }

  8. #18
    Sencha User
    Join Date
    Apr 2011
    Location
    Hyderabad,India
    Posts
    35

    Default Same issue with me as well

    Hello All,
    Did anyone of you get success for compiling.

    I am stuck and no idea what is this build.xml error.

    Please help me on this


    Thanks

  9. #19

    Default Problem With Spaces

    Hi,
    just in case anyone still gets stuck with this problem, my error "Could not run ant" was easily solved. The problem is that Sencha Cmd for Windows XP/? is installed by default on C:\Documents and settings\username\bin, and Sencha doesn't like the spaces in the path name.
    To fix the error you just have to install Sencha Cmd on a directory such as C:\bin or whatever you prefer, as long as the path doesn't contain spaces.

    I hope this helps.

Page 2 of 2 FirstFirst 12

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •